# coding=iso-8859-15
#
# Newsflash action script.
#
# (c) Sami Visnen 2007
#
# Please modify this file to suit your needs. 
#
# This script loads downloaded mp3 and ogg music files
# to a media player application. For Windows WinAMP
# is used and for Linux beep-media-player. 
#
import os
import re
import flash.host

flash.host.add_log('$Id: action_mp3load.py,v 1.14 2008/06/25 14:16:34 enska Exp $')

player=True

if os.name == 'posix':
    if os.path.exists('/usr/bin/beep-media-player') == False:
        player=False
        flash.host.add_log('/usr/bin/beep-media-player not found. mp3load disabled')
elif os.name == 'nt':
    if os.path.exists('c:\\Program Files\\winamp\\winamp.exe')==False:
        player=False
        flash.host.add_log('c:\\Program Files\\winamp\\winamp.exe not found. mp3load disabled')

def pathfix(location):
    if os.name == 'posix':
        if location[len(location)-1] != '/':
            location = location + '/'
    if os.name == 'nt':
        if location[len(location)-1] != '\\':
            location = location + '\\'
    return location

def escape(path):
    if path[0] != '"':
        path = '"' + path
    if path[len(path)-1] != '"':
        path = path + '"'
    return path

def newsflash_file_complete(file):
    """ This is the download_complete action hook function.
    This is called whenever a single file download completes.
    The argument given specifies the location of the file.
    The file can be any kind of file, text or binary. """
    if player==False:
        return
    pattern=re.compile('.*\\.mp3$|.*\\.ogg$', re.IGNORECASE)
    if re.match(pattern, file) == None:
        return
    if os.name=='posix':
        # -e = enque
        file=escape(file)
        cmd='/usr/bin/beep-media-player -e ' + file
        flash.host.system(cmd, True)
    elif os.name=='nt':
        # /ADD = add file
        file=escape(file)
        cmd='c:\\Program Files\\winamp\\winamp.exe /ADD ' + file
        flash.host.system(cmd, True)
        


        
        
